> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Docket Searches

> This endpoint returns all docket searches.



## OpenAPI

````yaml /api-reference/openapi.json get /docket_searches
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /docket_searches:
    get:
      tags:
        - Litigation & Bankruptcy
      summary: Get All Docket Searches
      description: This endpoint returns all docket searches.
      operationId: get_all_docket_searches_docket_searches_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            title: Limit
            description: The maximum number of docket searches to return.
            default: 10
          description: The maximum number of docket searches to return.
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            description: >-
              The number of docket searches to skip before starting to return
              the docket searches.
            default: 0
          description: >-
            The number of docket searches to skip before starting to return the
            docket searches.
        - name: type
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/SearchRequestSubjectType'
            title: Type
            description: The type of docket searches to return.
            examples:
              - Business
              - Person
              - BusinessSearch
          description: The type of docket searches to return.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.DocketSearchState'
                title: Response Get All Docket Searches Docket Searches Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SearchRequestSubjectType:
      type: string
      enum:
        - Business
        - Person
        - BusinessSearch
      title: SearchRequestSubjectType
      description: >-
        Discriminator for bodies of POST /lien_searches and POST
        /docket_searches requests.

        Names a business record, a person record, or a business search
    v1.DocketSearchState:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: The identifier of this docket search request.
        business_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Business Id
          description: The identifier of the business the search was performed for.
        person_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Person Id
          description: The identifier of the person the search was performed for.
        business_search_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Business Search Id
          description: >-
            The identifier of the business search the docket search was
            performed for
        state:
          $ref: '#/components/schemas/TaskState'
          description: The current state of the docket search request.
      type: object
      required:
        - id
        - state
      title: DocketSearchState (v1)
      description: Represents a docket search state.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskState:
      enum:
        - PENDING
        - EXECUTING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: TaskState
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````